Subject: Poison "antidote"

From: [email-masked] (Kathy Waddell)
Date: 20 Sep 1994 13:49:42 GMT

What do people have in their first-aid/medical kits to deal with
poison?  Something would be needed if someone eats local mis-
identified plants.

One thing that I would suggest is activated charcoal capsules.  I
have just learned about this recently on the immune mailing list.
There they recomended these as a first responce to extreme reactions 
to chemical exposures and for routine detox.  Since the charcoal is 
a non-specific absorber, when used as part of a detox program it 
should be taken a least 2 hours before and 2 hours after a meals, 
vitamins, etc.
 
---
Have fun!
  
 =-Kathy->                                  [email-masked]